function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42500");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introduction","6");
B=A.fN("Overview","7");
C=B.fN("Prerequisites for Use","7#1675459");
C=B.fN("Outline of This Manual","7#1675432");
C=B.fN("Installation of the SDK","7#1674679");
B=A.fN("Support for the SDK","8");
A=P.fN("Chapter\u00a02 Configuring the Accesses to Adabas Data","9");
B=A.fN("Access of Adabas Data","10");
B=A.fN("Supported Configurations","11");
B=A.fN("Preparations for Installation","12");
C=B.fN("Installation of the TIBCO Object Service Broker Base Component","12#126929");
C=B.fN("Installation of the Server","12#150754");
C=B.fN("Implementation of TIBCO Object Service Broker Security","12#153437");
C=B.fN("Adabas Security Considerations","12#62505");
C=B.fN("Fail Safe Processing Considerations","12#61785");
C=B.fN("Communications Requirements","12#62059");
B=A.fN("Startup Process","13");
B=A.fN("Startup Parameters","14");
C=B.fN("Required and Optional Parameters","14#149633");
C=B.fN("Startup Parameters in the EXEC Statement","14#26236");
C=B.fN("Startup Parameters in a Data Set","14#26243");
B=A.fN("Configuration Parameters","15");
C=B.fN("@CONFIGURESERVER Tool","15#44032");
C=B.fN("Configuration Parameters for a New Server\u00a0ID","15#134565");
C=B.fN("Customization of the Load Point and the Adabas Interface Module","15#153095");
C=B.fN("Available Configuration Parameters","15#153078");
B=A.fN("Startup Prerequisites","16");
C=B.fN("Default Resource Settings (z/OS only)","16#145760");
C=B.fN("Customization of the Startup Batch JCL","16#145737");
B=A.fN("Startup of the Server","17");
C=B.fN("Using the MODIFY Operator Command","17#148833");
C=B.fN("Increasing the Number of Server Tasks","17#28631");
C=B.fN("Setting the Maximum Number of Tasks","17#28729");
B=A.fN("Shutdown of the Server","18");
C=B.fN("Shutdown Order","18#143297");
C=B.fN("Shutdown Methods","18#112656");
C=B.fN("Shutdown of the Native Execution Environment","18#22149");
B=A.fN("Connection to a Windows or Solaris Data\u00a0Object Broker","19");
C=B.fN("Configuring the TCP/IP Connection on z/OS","19#150078");
C=B.fN("Configuring the TIBCO Object Service Broker TCP/IP Environment","19#150104");
C=B.fN("Specifying the Number of Instances Connecting to the Data Object Broker","19#150133");
C=B.fN("Specifying the Server Parameter","19#150141");
A=P.fN("Chapter\u00a03 Operational Requirements for Adabas Access","20");
B=A.fN("Extracting Adabas Table Information","21");
C=B.fN("Prerequisites","21#760051");
C=B.fN("Extraction of Table Information","21#760100");
B=A.fN("Binding TIBCO Object Service Broker ADA Table Definitions","22");
B=A.fN("Supplying the Startup Parameters","23");
C=B.fN("Available Parameters","23#761343");
C=B.fN("Estimation of the CTABLESIZE Parameter","23#724174");
B=A.fN("Dynamically Changing the Parameters","24");
C=B.fN("Parameters That Can Be Overridden at Runtime","24#728826");
C=B.fN("Examples","24#728851");
B=A.fN("Adding Threads","25");
B=A.fN("Implementing Fail Safe Processing","26");
C=B.fN("Transaction Processing","26#730106");
C=B.fN("In-doubt Transactions","26#730152");
C=B.fN("Definition of a Transaction Database","26#754195");
B=A.fN("Understanding Other Operational Procedures","27");
C=B.fN("Distributed Access","27#730361");
C=B.fN("Status Display","27#1190923");
C=B.fN("Debugging","27#769236");
C=B.fN("Problem Reporting","27#1198925");
A=P.fN("Chapter\u00a04 Defining the Accesses to Adabas","28");
B=A.fN("Overview","29");
B=A.fN("Task A: Extract the Adabas File Definition","30");
C=B.fN("Understanding the Prerequisites","30#268802");
C=B.fN("Extracting Table Information","30#268812");
B=A.fN("Task B: Invoke the Table Definer","31");
C=B.fN("Accessing Existing Tables","31#203390");
C=B.fN("Defining a New Table","31#204078");
C=B.fN("Using Table Definer PF Keys","31#204102");
B=A.fN("Task C: Specify Header Information","32");
C=B.fN("Representing Adabas Data in TIBCO Object Service Broker Tables","32#204409");
C=B.fN("Specifying ADA Table Header Fields","32#221774");
C=B.fN("Specifying Optional Location Parameter Information","32#221633");
C=B.fN("Specifying Optional Event Rule Information","32#205575");
B=A.fN("Task D: Define Fields for the ADA Table","33");
C=B.fN("Fields in the External Field Definition Area","33#205590");
C=B.fN("Fields in the Metadata Definition Area","33#272907");
B=A.fN("Task E: Select Extracted Fields","34");
B=A.fN("Task F: Map Adabas External Data to TIBCO Object Service Broker Types","35");
C=B.fN("Understanding the Default Mapping of Adabas External Data Types","35#190138");
C=B.fN("Changing the Defaults","35#256796");
C=B.fN("Requesting Adabas Data Conversion","35#257150");
B=A.fN("Task G: Document ADA Tables","36");
C=B.fN("Defining Field Values","36#267929");
C=B.fN("Using the PF Keys","36#267672");
A=P.fN("Chapter\u00a05 Using TIBCO Object Service Broker to Process Adabas Data","37");
B=A.fN("Processing the Data","38");
C=B.fN("Transaction Process","38#782387");
C=B.fN("Restrictions on Adabas Processing","38#783577");
B=A.fN("Using the Table Browser and Table Editor","39");
B=A.fN("Using Rules","40");
C=B.fN("Transaction Streams","40#752106");
C=B.fN("Table Access Dependencies","40#782061");
C=B.fN("Retrieval Processing","40#736557");
C=B.fN("Replace (Update) Processing","40#736367");
C=B.fN("Delete Processing","40#734999");
C=B.fN("Insert Processing","40#735068");
B=A.fN("Taking Advantage of Adabas Features","41");
C=B.fN("Understanding Descriptor Indexes","41#740794");
C=B.fN("Defining Effective ADA Tables","41#779510");
C=B.fN("Coding Efficient Adabas Accesses","41#723796");
C=B.fN("Preserving Data Sequence in FORALL Statements","41#723910");
C=B.fN("Using LIKE and NOT EQUAL with Other Operators","41#723953");
C=B.fN("Reducing CPU Consumption","41#781312");
C=B.fN("Understanding Adabas Direct Calls Generated from TIBCO Object Service Broker","41#725352");
B=A.fN("Handling of Errors","42");
C=B.fN("Synchronization and Recovery","42#724329");
C=B.fN("Data Integrity","42#731625");
C=B.fN("Exceptions","42#776952");
C=B.fN("@SERVERERROR","42#759101");
C=B.fN("@SERVERERRORADA","42#741191");
A=P.fN("Chapter\u00a06 Configuring Accesses to CA Datacom Data","43");
B=A.fN("Accessing CA Datacom Data","44");
B=A.fN("Supported Configurations","45");
B=A.fN("Preparations for Installation","46");
C=B.fN("Installation of the TIBCO Object Service Broker Base Component","46#60928");
C=B.fN("Installation of the Server","46#63909");
C=B.fN("Implementation of TIBCO Object Service Broker Security","46#63935");
C=B.fN("CA Datacom Security Considerations","46#64014");
C=B.fN("Fail Safe Processing Considerations","46#64212");
C=B.fN("Communications Requirements","46#66112");
B=A.fN("Prerequisites for the CA Datacom Environment","47");
C=B.fN("Generating the CA Datacom User Requirements Table","47#62907");
C=B.fN("Populating Data Dictionary Tables","47#54549");
C=B.fN("Defining the CA Datacom Environment","47#52446");
B=A.fN("Startup Parameters","48");
C=B.fN("Startup Parameters in the EXEC Statement","48#52559");
C=B.fN("Startup Parameters in a Data Set","48#52567");
B=A.fN("Startup Prerequisites","49");
C=B.fN("Default Resource Settings (z/OS only)","49#63675");
C=B.fN("Customization of the Startup Batch JCL","49#52731");
B=A.fN("Startup of the Server","50");
C=B.fN("Dynamic Startup","50#61248");
C=B.fN("Maximum Number of Server Instances","50#61273");
B=A.fN("Shutdown of the Server","51");
C=B.fN("Shutdown of a Single Server","51#52765");
C=B.fN("Shutdown of the Native Execution Environment","51#52804");
C=B.fN("Closing and Opening of URTs","51#52833");
C=B.fN("Shutdown of a Group of Instances of the Server","51#52849");
B=A.fN("Connection to a Windows or Solaris Data\u00a0Object\u00a0Broker","52");
C=B.fN("Sample Configuration","52#64938");
C=B.fN("Configuration of the TCP/IP Connection on z/OS","52#64948");
C=B.fN("Configuration of the TIBCO Object Service Broker TCP/IP Environment","52#64981");
C=B.fN("Number of Server Instances Connecting to the Data Object Broker","52#65010");
C=B.fN("Server Parameter","52#69180");
A=P.fN("Chapter\u00a07 Operational Requirements for CA Datacom Access","53");
B=A.fN("Extracting CA Datacom Table Information","54");
C=B.fN("Prerequisites","54#1193444");
C=B.fN("Extraction of Table Information","54#1193452");
C=B.fN("Extract Report","54#1193537");
B=A.fN("Binding DAT Table Definitions","55");
B=A.fN("Understanding Space Requirements","56");
B=A.fN("Implementing Security","57");
B=A.fN("Adding URT Names","58");
C=B.fN("Populating the URT Table","58#1048995");
C=B.fN("Determining the URT to Use","58#1049092");
B=A.fN("Specifying the Startup Parameters","59");
C=B.fN("Available Parameters","59#1041994");
C=B.fN("Estimating the CTABLESIZE Parameter","59#1042411");
B=A.fN("Dynamically Changing the Parameters","60");
C=B.fN("Table Type Attributes","60#999896");
C=B.fN("Examples Using SETXPARM and RESETXPARM","60#1001679");
B=A.fN("Adding Server Instances","61");
B=A.fN("Implementing Fail Safe Processing","62");
C=B.fN("Transaction Processing","62#1000268");
C=B.fN("Implementation Procedure","62#1000317");
B=A.fN("Performing Other Operational Procedures","63");
C=B.fN("Using Distributed Data with the Server","63#1195689");
C=B.fN("Displaying the Status of the Server","63#1058313");
C=B.fN("Debugging Rules and Applications","63#1000794");
C=B.fN("Debugging Server Problems","63#1188534");
C=B.fN("Reporting Problems","63#1195461");
A=P.fN("Chapter\u00a08 Defining the Accesses to CA Datacom","64");
B=A.fN("Overview","65");
B=A.fN("Task A:\u00a0Define a DAT Table","66");
C=B.fN("Invoking the Table Definer","66#260297");
C=B.fN("Accessing Existing Tables","66#235619");
C=B.fN("Defining a New Table","66#286473");
C=B.fN("Using the DATACOM Tool","66#301822");
B=A.fN("Task B:\u00a0Define Fields for the DAT Table","67");
C=B.fN("Defining Fields","67#239676");
C=B.fN("Editing Extensions Screen Fields","67#329469");
C=B.fN("Using Extensions Screen PF Keys","67#347114");
C=B.fN("Selecting Fields","67#306061");
C=B.fN("Translating Data Types","67#246056");
C=B.fN("Translating Nulls","67#360473");
C=B.fN("Changing the Defaults","67#246386");
B=A.fN("Task C:\u00a0Add Control Information","68");
C=B.fN("Core Screen Field Entries","68#253868");
C=B.fN("Parameters","68#234175");
C=B.fN("Event Rules","68#294639");
C=B.fN("Ordering Information","68#286737");
C=B.fN("Core Screen PF Keys","68#349238");
B=A.fN("Task D:\u00a0Document the DAT Table","69");
C=B.fN("Field Values","69#345030");
C=B.fN("PF Keys","69#345054");
A=P.fN("Chapter\u00a09 Using TIBCO Object Service Broker to Process CA Datacom Data","70");
B=A.fN("Processing the Data","71");
B=A.fN("Using the Table Browser","72");
C=B.fN("Exceptions","72#43109");
C=B.fN("Insertion of Duplicate Primary Keys","72#43369");
B=A.fN("Using Rules","73");
C=B.fN("Transaction Streams","73#43502");
C=B.fN("Transaction Limitations","73#51111");
C=B.fN("Retrieval Processing","73#43745");
C=B.fN("Replace (Update) or Delete Processing","73#43820");
C=B.fN("Insert Processing","73#43874");
B=A.fN("Handling of Errors in the Server","74");
C=B.fN("Synchronization and Recovery","74#71143");
C=B.fN("Updates of TIBCO Object Service Broker and CA Datacom Data","74#71178");
C=B.fN("System Exceptions","74#71194");
C=B.fN("Error Handling","74#71275");
A=P.fN("Chapter\u00a010 Accessing and Processing VSAM LDS Data","75");
B=A.fN("Setup of Accesses to VSAM LDS Data","76");
C=B.fN("Installation of the TIBCO Object Service Broker Base Component","76#782334");
C=B.fN("Installation of the SDK","76#782344");
C=B.fN("Required Tables","76#782309");
C=B.fN("Definition of VSAM LDS Data","76#781822");
C=B.fN("Definition of Associated MAP Table","76#781858");
B=A.fN("Operations for Processing Data","77");
C=B.fN("Supported Operations","77#787864");
C=B.fN("Insert Processing","77#781876");
B=A.fN("VSAM LDS Samples","78");
C=B.fN("Creation of Initial Data Set","78#781885");
C=B.fN("Reading of VSAM LDS data","78#781901");
C=B.fN("Replacement of VSAM LDS Data","78#781907");
}
